aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-12-02 07:53:12 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-12-02 07:53:12 +0000
commit6b22e7e2fff699e8d2b413642cff6b3caa27ed70 (patch)
treec56ea822c63580738d11ea02fffd90b6a3218973
parenta66496fa3b65a020fcc30f9c4006ded93e9b107d (diff)
downloadaports-6b22e7e2fff699e8d2b413642cff6b3caa27ed70.tar.bz2
aports-6b22e7e2fff699e8d2b413642cff6b3caa27ed70.tar.xz
testing/celt051: new aport
An audio codec for use in low-delay speech and audio communication http://www.celt-codec.org/
-rw-r--r--testing/celt051/APKBUILD44
1 files changed, 44 insertions, 0 deletions
diff --git a/testing/celt051/APKBUILD b/testing/celt051/APKBUILD
new file mode 100644
index 0000000000..86e05c8f0d
--- /dev/null
+++ b/testing/celt051/APKBUILD
@@ -0,0 +1,44 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=celt051
+pkgver=0.5.1.3
+pkgrel=0
+pkgdesc="An audio codec for use in low-delay speech and audio communication"
+url="http://www.celt-codec.org/"
+arch="all"
+license="BSD"
+depends=""
+makedepends="libogg-dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://downloads.us.xiph.org/releases/celt/celt-$pkgver.tar.gz"
+
+_builddir="$srcdir"/celt-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="67e7b5e45db57a6f1f0a6962f5ecb190 celt-0.5.1.3.tar.gz"